t38_gateway_t38_state_t Struct Reference

`#include <t38_gateway.h>`

## Public Attributes

t38_core_state_t | t38
| Core T.38 IFP support.
int | suppress_nsx_len [2]
| TRUE if the NSF, NSC, and NSS are to be suppressed by altering their contents to something the far end will not recognise.
int | corrupt_current_frame [2]
| TRUE if we need to corrupt the HDLC frame in progress, so the receiver cannot interpret it. The two values are for the two directions.
int | current_rx_field_class
| the current class of field being received - i.e. none, non-ECM or HDLC
int | in_progress_rx_indicator
| The T.38 indicator currently in use.
int | current_tx_data_type
| The current T.38 data type being sent.

## Detailed Description

T.38 gateway T.38 side channel descriptor.

The documentation for this struct was generated from the following file:

- private/t38_gateway.h